package filer;

import javax.servlet.FilterConfig;
import org.springframework.stereotype.Component;  

import javax.servlet.*;  
import javax.servlet.http.HttpServletResponse;  
import java.io.IOException;  

@Component  
public class CorsFilter implements Filter {  
  
  @Override  
   public void init(FilterConfig filterConfig) throws ServletException {  
	  System.out.println("--------------------------------------hdb    test");
   }  
 
  @Override  
  public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain) throws IOException, ServletException {  
      
	  System.out.println("----------------------------------111");
	  HttpServletResponse response = (HttpServletResponse) servletResponse;  
       response.setHeader("Access-Control-Allow-Origin", "*");  
      response.setHeader("Access-Control-Allow-Methods", "POST, GET, OPTIONS, DELETE");  
      response.setHeader("Access-Control-Max-Age", "3600");  
       response.setHeader("Access-Control-Allow-Headers", "x-requested-with,Authorization");  
     response.setHeader("Access-Control-Allow-Credentials", "true");  
       filterChain.doFilter(servletRequest, servletResponse);  
       System.out.println("----------------------------------222");
   }  

   @Override  
   public void destroy() {  
 
   }  
}  

